.TH "menuHelp" "n" "September 2005" "Tcl" "Menu with help and search widget."
.SH NAME
menuHelp \- 
Menu with help and search widget.
.SH "SYNOPSIS"
\fBpackage require menuHelp\fR
.br
\fBmenuHelp\fR \fIobjName\fR \fI[CLASS OPTIONS]\fR
.br
\fIobjName\fR \fBmethod\fR \fI[METHOD OPTIONS]\fR
.SH "DESCRIPTION"
Converts a menu into a tixTree with a help & search facility.
.SH "CLASS OPTIONS"
.TP 14
.I -title
Title of menu.
.TP 14
.I -menu
Name of menu which we are providing help for.
.TP 14
.I -glimpseDir
Directory where glimpse index lives.
.TP 14
.I -helpLoaded
Help loaded flag (default \fB0\fR).
.SH "PUBLIC METHODS"
.TP
.B version \fI\fR
.IP "" 4
Return the version number. 
The RCS version number is returned.
.TP
.B changeEditor \fI\fR
.IP "" 4
Allow user to change the editor. 
The user is prompted to enter the name of the editing
command that they would like to use.  Default can be changed
in "~/.menuhelp-defaults".  This method is bound to the key
"E" in the widget.
.TP
.B curSelection \fI\fR
.IP "" 4
Get the current selection in the tree (if any). 
The current selection in \fItree\fR (if any) is returned.
.TP
.B showHelp \fIkey helpText\fR
.IP "" 4
Show the helpText. 
If \fIkey\fR is non-null, the helpText associated with that key
will be displayed in the \fIhelp\fR frame.  If \fIkey\fR is null, the
\fIhelpText\fR passed will be displayed instead.  If \fIhelpText\fR
(either from the key or passed as an argument) are null, the
default helpText will be displayed.  Nothing will be
returned.
.IP "" 4
.B METHOD OPTIONS
.RS
.TP 14
.I key
Menu entry key (optional).
.TP 14
.I helpText
Text to show in \fIhelp\fR frame (optional).
.RE
.TP
.B listHelpFiles \fIaddKeys\fR
.IP "" 4
Return a list of all helpFiles. 
The filenames of all helpFiles will be returned.  If
\fIaddKeys\fR, the associated keys will also be returned.
.IP "" 4
.B METHOD OPTIONS
.RS
.TP 14
.I addKeys
Also return associated keys (optional).
.RE
.TP
.B glimpseIndex \fI\fR
.IP "" 4
Create a glimpse index of the helpFiles in user-specified directory. 
The glimpse index will be built.  Return 0 on success, or 1
on failure.
.TP
.B glimpseHelp \fI\fR
.IP "" 4
Give some help for Glimpse. 
The glimpse help will be shown in the \fIhelp\fR widget.  Nothing
will be returned.
.SH "STATIC PROCEDURES"
.TP
.B menuHelp::readHelpFile \fIfileName\fR
.IP "" 4
Read the comments from the fileName. 
The first 21 lines (or lines before the first non-blank
line) will be read from \fIfileName\fR.  The first line will
always be ignored.  Comment characters (based on filetype)
will be removed.  These comments will be formatted and
returned.
.IP "" 4
.B PROC OPTIONS
.RS
.TP 14
.I fileName
Name of editFile or helpFile.
.RE
.TP
.B menuHelp::bindButton \fIw x y\fR
.IP "" 4
Find which entry was clicked. 
Tix doesn't offer bindings for button-2 or -3 clicks, so we
use Tix's method to see what item is clicked.  This method
will be bound to button-2 and -3 clicks in the \fItree\fR.  It
will return the \fIkey\fR to the item nearest the mouse (if any).
.IP "" 4
.B PROC OPTIONS
.RS
.TP 14
.I w
widget.
.TP 14
.I x
x coordinate.
.TP 14
.I y
y coordinate.
.RE
.SH "AUTHOR"
Written by Tom Allard <tallard@frb.gov>
